# -*- mode: landisk-python; coding: utf-8; -*-
# vim:ts=4 sw=4 sts=4 ai si et sta
from project.fal.clone import Clone


try:
    config = Clone().query()
    enable = config['master']['enable']
    slave = config['master']['slave']['host']
    passwd = config['master']['slave']['passwd']
except:
    enable = False

if enable:
    ATTRS = {
        'replication': {'readonly': 'readonly'},
        'repli_dest_host': {'readonly': 'readonly'},
        'repli_dest_share': {'readonly': 'readonly'},
        'repli_dest_passwd': {'readonly': 'readonly'},
    }
    INITIAL = {
        'replication': False,
        'repli_dest_host': slave,
        'repli_dest_share': '',
        'repli_dest_passwd': passwd,
    }
else:
    ATTRS = {}
    INITIAL = {}
